AI Quality Check
Update the expected result of a test ticket
PATCH /aiQualityCheck/testRun/{testRunId}/updateExpectedResult/{ticketId}
PATCH /aiQualityCheck/testRun/{testRunId}/updateExpectedResult/{ticketId}
Update the expected value for specific ticket in a run to a value passed in the payload. This also updates the expected results for all future runs, and updates the statistics of the test run.
Path parameters
testRunIdintegerpathrequiredNo description.
ticketIdintegerpathrequiredNo description.
Request body
expectedResultobjectbodyThe updated expected result for the test ticket. You can either specify all test conditions, or only some. In this case only the provided test conditions will be provided
Request Example
{
"expectedResult": {
"contractId": "123456",
"inputParameters": {
"change_meter_reading": {
"_action": null,
"requestedDeposit": 35
}
},
"intentDetection": [
"change_meter_reading",
"change_payment_method"
],
"outcomeActions": {
"change_meter_reading": [
"Update ERP System",
"Inform Customer change is not possible"
]
},
"outcomeNotifications": {
"change_meter_reading": [
"Meter reading is plausible"
]
},
"outcomeText": {
"change_meter_reading": null
},
"outcomeType": {
"change_meter_reading": "interaction"
},
"sentiment": "disappointed",
"tags": [
"sales",
"marketing"
],
"aiSupportLevel": "human",
"sources": {
"change_meter_reading": [
{
"type": "ticket",
"id": "123",
"summary": "Similar case"
},
{
"type": "faq",
"id": "456",
"title": "How to change meter reading"
}
]
},
"error": null
}
}Responses
200 — Successful operation
Response Example
{
"success": true,
"message": "Test ticket expected result updated successfully",
"testTicket": {
"id": 1,
"testRunId": 1,
"testCaseId": 1,
"ticketId": 1,
"aiAgentId": "string",
"state": "scheduled",
"config": null,
"expectedResult": {
"contractId": "123456",
"inputParameters": {
"change_meter_reading": {
"_action": null,
"requestedDeposit": 35
}
},
"intentDetection": [
"change_meter_reading",
"change_payment_method"
],
"outcomeActions": {
"change_meter_reading": [
"Update ERP System",
"Inform Customer change is not possible"
]
},
"outcomeNotifications": {
"change_meter_reading": [
"Meter reading is plausible"
]
},
"outcomeText": {
"change_meter_reading": null
},
"outcomeType": {
"change_meter_reading": "interaction"
},
"sentiment": "disappointed",
"tags": [
"sales",
"marketing"
],
"aiSupportLevel": "human",
"sources": {
"change_meter_reading": [
{
"type": "ticket",
"id": "123",
"summary": "Similar case"
},
{
"type": "faq",
"id": "456",
"title": "How to change meter reading"
}
]
},
"error": null
},
"actualResult": {
"contractId": "123456",
"inputParameters": {
"change_meter_reading": {
"_action": null,
"requestedDeposit": 35
}
},
"intentDetection": [
"change_meter_reading",
"change_payment_method"
],
"outcomeActions": {
"change_meter_reading": [
"Update ERP System",
"Inform Customer change is not possible"
]
},
"outcomeNotifications": {
"change_meter_reading": [
"Meter reading is plausible"
]
},
"outcomeText": {
"change_meter_reading": null
},
"outcomeType": {
"change_meter_reading": "interaction"
},
"sentiment": "disappointed",
"tags": [
"sales",
"marketing"
],
"aiSupportLevel": "human",
"sources": {
"change_meter_reading": [
{
"type": "ticket",
"id": "123",
"summary": "Similar case"
},
{
"type": "faq",
"id": "456",
"title": "How to change meter reading"
}
]
},
"error": null
},
"rawResult": null,
"outcomeShort": "pass",
"outcome": null
}
}500 — Internal error